Ask Your Question
1

Install Gcc 4.0 on current Fedora

asked 2014-04-20 11:05:21 -0600

eddie69 gravatar image

updated 2014-09-30 09:20:41 -0600

mether gravatar image

Could someone please guide my in the right direction to install gcc/c++ version 4.0 on the latest Fedora. I have an application that will only compile and run on gcc 4.0. I have been able to get everything working right, but only in FC4. I am in need to get it working on latest OS, Fedora 20. i followed the "Installing Alternate GCC Compiler on Fedora" tut I find on the internet, but i keep getting errors: make[2]: * [libgcc/./unwind-dw2.o] Error 1 make[2]: Leaving directory /home/build/gcc' make[1]: *** [libgcc.a] Error 2 make[1]: Leaving directory/home/build/gcc' make: * [all-gcc] Error 2

Any help will be greatly appreciated.

edit retag flag offensive close merge delete

Comments

That's weird. I have Fedora 20 and it already came with GCC 4.8 so there shouldn't be any need to install any extras. Do you need GCC 4.0.0 exactly or the GCC version just needs to be higher than 4.0? If it's the later, then the problem must be elsewhere. Can you give the output of gcc --version?

Nippius gravatar imageNippius ( 2014-04-20 11:43:09 -0600 )edit
1

Thanks for the super quick response, you guys are awesome!!!, i will try your suggestions....yeah it has to be exactly gcc/c++ 4 for this to work.

eddie69 gravatar imageeddie69 ( 2014-04-20 12:16:55 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2014-04-20 11:51:44 -0600

fidelleon gravatar image

updated 2014-04-20 11:52:50 -0600

http://gcc.gnu.org/ml/gcc-help/2007-01/msg00160.html - it's a bit old but suggests you may not be using an according glibc.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2014-04-20 11:05:21 -0600

Seen: 239 times

Last updated: Apr 20 '14